define( ["qlik", "https://code.highcharts.com/highcharts.src.js"
],
function ( qlik) {

	return {
		initialProperties: {
			qHyperCubeDef: {
				qDimensions: [],
				qMeasures: [],
				qInitialDataFetch: [{
					qWidth: 3,
					qHeight: 100
				}]
			}
		},
		definition: {
			type: "items",
			component: "accordion",
			items: {
				dimensions: {
					uses: "dimensions",
					min: 1
				},
				measures: {
					uses: "measures",
					min: 0
				},
				sorting: {
					uses: "sorting"
				},
				settings: {
					uses: "settings"
				}
			}
		},
		support : {
			snapshot: true,
			export: true,
			exportData : false
		},
		paint: function ($element, layout) {
		
			$element.html( '<div class="lineasComparativa" style="height:300px !important;width:500px !important;"></div>' );
			
			var $container = $element.find('.lineasComparativa');
			
			$container.highcharts({
				series: [{
					data: [['A', 0],['B', 1]]
				}],
				chart: {
					type: 'bar'
				}
			});
			
			return qlik.Promise.resolve();
		}
	};

} );

